
QGIS Application - Bug report #20112

error loading QGIS (3.2 and 3.3 nightly)

2018-10-15 05:33 PM - Rob Willson

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27934

Description

after running OSGeo set up this morning to update to the latest nightly build there was an error message generated during the install.

After the installation finished I can no longer open QGIS 3.2 or the developmental version. Instead get the attached error message. have

tried restarting computer to no avail

History

#1 - 2018-10-15 09:30 PM - Rob Willson

- File 2018-10-15 15.24.png added

- File 2018-10-15 15.25.23.png added

just now (2018-10-15 15:27 EST) I was able to update again through osgeo4w-setup-x86_64. I was able to screen capture the additional error messages

(uploaded) that indicate the problem during installation and that presumably prevent QGIS 3.2 from loading

#2 - 2018-10-15 10:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Regression? changed from Yes to No

- Priority changed from High to Normal

- Crashes QGIS or corrupts data changed from Yes to No

Seen this today too. This should be closed and reported in the osgeo4w bug tracker, I think.

#3 - 2018-10-17 05:34 PM - Antonio Viscomi

Rob Willson wrote:

just now (2018-10-15 15:27 EST) I was able to update again through osgeo4w-setup-x86_64. I was able to screen capture the additional error

messages (uploaded) that indicate the problem during installation and that presumably prevent QGIS 3.2 from loading

Hi Rob,

Yesterday I'd trouble with install on windows 7 from osgeow

Well I find that something wrong QGIS 3.2.3 as QGIS Master 

don't start an come out with a Windows error message referred to absence of 
qgis.dll…

Well,

I identified that the conflict were with

msvcr110.dll 

msvcp110.dll

I've unlocked this two dlls and erased them 

Then I've restored them from trash 

I've re-run osgeo setup and all works fine

I hope this can help you 

Antonio

#4 - 2018-10-18 01:54 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

I think that now the installer works as expected, please reopen if necessary.

#5 - 2018-10-20 12:51 PM - Batsu Yoba

- File barus.png added

- File bars.png added

Giovanni Manghi wrote:

I think that now the installer works as expected, please reopen if necessary.

hi, i just uninstalled  qgis by deleting the osgeo4w64 folder. then when i try to install it again with osgeo4w setup, i get this error message. can you help me?

#6 - 2018-10-22 12:53 PM - Nicolai Mogensen

- File error2.PNG added

- File error1.PNG added

- File setup.log added

Batsu Yoba wrote:

Giovanni Manghi wrote:

I think that now the installer works as expected, please reopen if necessary.

hi, i just uninstalled  qgis by deleting the osgeo4w64 folder. then when i try to install it again with osgeo4w setup, i get this error message. can you

help me?
I have the exact same problem as Batsu Yoba.

Attached error messages and full log

#7 - 2018-10-22 01:07 PM - Nicolai Mogensen

Nicolai Mogensen wrote:

Batsu Yoba wrote:

Giovanni Manghi wrote:

I think that now the installer works as expected, please reopen if necessary.

hi, i just uninstalled  qgis by deleting the osgeo4w64 folder. then when i try to install it again with osgeo4w setup, i get this error message. can you

help me?

I have the exact same problem as Batsu Yoba.

Attached error messages and full log

For good luck i tried rebooting my PC, delete the folder entirely and try again, and somehow it worked the 2nd time around.

#8 - 2018-10-23 05:00 PM - Alessandro Perego

I had the same problem (zip.dll not found) after the "Express Desktop Install". Then I installed libzip-bin and libzip-libs with "Advanced Install" and reinstall

QGIS Desktop (3.2.3-2) and QGIS Full Desktop (3.0-1). Now QGIS works.

Files

2018-10-15 11.31.36.png 302 KB 2018-10-15 Rob Willson

2018-10-15 15.25.23.png 577 KB 2018-10-15 Rob Willson

2018-10-15 15.24.png 499 KB 2018-10-15 Rob Willson

bars.png 15.6 KB 2018-10-20 Batsu Yoba

barus.png 18.2 KB 2018-10-20 Batsu Yoba

error1.PNG 13.9 KB 2018-10-22 Nicolai Mogensen

error2.PNG 6.79 KB 2018-10-22 Nicolai Mogensen

setup.log 119 KB 2018-10-22 Nicolai Mogensen

2025-04-27 3/3


